﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Linq.Expressions;

namespace MVCCornucopia.Models
{
    public interface IRepository
    {
        IQueryable<IDataItem> All { get; }
        IDataItem Find(int id);
        IDataItem Create();
        void InsertOrUpdate(IDataItem dataItem);
        void Delete(int id);
        void Save();
    }

}